GET https://external-api.lia.com.br/external_api/v1/bills/:id
Example request
curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/bills/764e20fd-5530-4bcd-a408-b109b0505a48' \
--header 'Authorization: Bearer token'
Example response
{
"amount_cents": 3591,
"authentication_code": "2bbb59ba23478328e5bc806e9ddfe0b2",
"bill_type": "down_payment",
"billing": {
"amount_cents": 31807,
"amount_currency": "BRL",
"cancelation_reason": null,
"created_at": "2023-09-05T18:33:30.770-03:00",
"due_day": 20,
"finished_at": null,
"id": "7edb6396-a4f3-41e6-b577-47aee2e0eaed",
"installments": 3,
"order_id": "b2d40390-5747-4ad8-835c-26d29ddaad52",
"origin_billing_id": null,
"status": "active",
"updated_at": "2024-07-19T17:00:25.389-03:00"
},
"checkout_url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=263a8428-8602-4297-8272-531622a64cec",
"created_at": "2023-09-05T18:33:30.782-03:00",
"current_amount_cents": 3591,
"disable_penalties_until": null,
"due_date": "2023-09-07T23:59:59.999-03:00",
"effective_due_date": "2023-09-08T23:59:59.999-03:00",
"id": "263a8428-8602-4297-8272-531622a64cec",
"original_amount_cents": 3591,
"paid_at": "2023-09-05T18:33:31.706-03:00",
"payments": [
{
"amount_cents": 3591,
"barcode": null,
"barcode_image_url": null,
"bill_id": "263a8428-8602-4297-8272-531622a64cec",
"created_at": "2023-09-05T18:33:31.626-03:00",
"expires_at": "2023-09-07T23:59:59.999-03:00",
"id": "ff1f6afd-681f-4f9a-8a42-1f6c56d802ea",
"installments": 1,
"paid_amount_cents": 3591,
"paid_at": "2023-09-05T18:33:31.637-03:00",
"payment_method": "credit_card",
"refunded_amount_cents": 0,
"refunded_at": null,
"refused_reason": null,
"refused_reason_description": null,
"status": "paid",
"url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=263a8428-8602-4297-8272-531622a64cec"
}
],
"bill_details": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"detail_type": "amortization",
"amount_cents": 3000,
"installment": 1,
"created_at": "2023-09-05T18:33:30.782-03:00"
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"detail_type": "financing_interest",
"amount_cents": 591,
"installment": 1,
"created_at": "2023-09-05T18:33:30.782-03:00"
}
],
"status": "paid",
"updated_at": "2023-09-05T18:33:31.736-03:00"
}
Bill Details
The bill_details array contains the breakdown of the bill amount. Each detail has a detail_type that indicates what kind of charge or adjustment it represents.
Detail Types
| Value | Description |
|---|---|
amortization | The principal amount being paid in this installment |
financing_interest | Interest charged for financing the purchase |
down_payment_financing_interest | Interest charged for financing the down payment |
registration_fee | Registration fee charged for the transaction |
late_payment_interest | Interest charged due to late payment |
late_payment_fine | Fine charged due to late payment |
financing_interest_removal | Removal/discount of financing interest |
manual_adjustment | Manual adjustment made to the bill |